Package: groovy.transform

## [Java] Annotation Type NamedParams

- groovy.transform.NamedParams

-     @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.PARAMETER)
      public @interface NamedParams

  Collector annotation for NamedParam.

  Since:
    2.5.0

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `NamedParam[]` | `value`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public NamedParam[] value